Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 176857 - libXv-devel missing dependency on xorg-x11-proto-devel
Summary: libXv-devel missing dependency on xorg-x11-proto-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libXv
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 171491 FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-03 20:48 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.0.1-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-01 07:57:54 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2006-01-03 20:48:54 UTC
$ grep Requires: /usr/lib/pkgconfig/xv.pc
Requires: xproto videoproto

So "Requires: xorg-x11-proto-devel" seems to be missing in libXv-devel.

There's xext and x11 in Requires.private too, so in case Requires.private cannot
be dropped, the dependency should be on libXext-devel instead (which will pull
in libX11-devel and thus xorg-x11-proto-devel if bug 176078 is fixed as suggested).

Comment 1 Mike A. Harris 2006-02-01 07:57:54 UTC
Foxed om 1.0.1-2 in rawhide.

Comment 2 Mike A. Harris 2006-02-01 07:58:57 UTC
/me signs up for "how to find home-row on a keyboard" lessons


Note You need to log in before you can comment on or make changes to this bug.